| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Public Attributes | List of all members
wxPoint2DInt Class Reference

`#include <wx/geometry.h>`

## Public Member Functions

| wxPoint2DInt ()
| wxPoint2DInt (wxInt32 x, wxInt32 y)
| wxPoint2DInt (const wxPoint2DInt &pt)
| wxPoint2DInt (const wxPoint &pt)
void | GetFloor (wxInt32 *x, wxInt32 *y) const
void | GetRounded (wxInt32 *x, wxInt32 *y) const
wxDouble | GetVectorLength () const
wxDouble | GetVectorAngle () const
void | SetVectorLength (wxDouble length)
void | SetVectorAngle (wxDouble degrees)
void | SetPolarCoordinates (wxInt32 angle, wxInt32 length)
void | Normalize ()
wxDouble | GetDistance (const wxPoint2DInt &pt) const
wxDouble | GetDistanceSquare (const wxPoint2DInt &pt) const
wxInt32 | GetDotProduct (const wxPoint2DInt &vec) const
wxInt32 | GetCrossProduct (const wxPoint2DInt &vec) const
wxPoint2DInt | operator- ()
wxPoint2DInt & | operator= (const wxPoint2DInt &pt)
wxPoint2DInt & | operator+= (const wxPoint2DInt &pt)
wxPoint2DInt & | operator-= (const wxPoint2DInt &pt)
wxPoint2DInt & | operator*= (const wxPoint2DInt &pt)
wxPoint2DInt & | operator*= (wxDouble n)
wxPoint2DInt & | operator*= (wxInt32 n)
wxPoint2DInt & | operator/= (const wxPoint2DInt &pt)
wxPoint2DInt & | operator/= (wxDouble n)
wxPoint2DInt & | operator/= (wxInt32 n)
| operator wxPoint () const
bool | operator== (const wxPoint2DInt &pt) const
bool | operator!= (const wxPoint2DInt &pt) const

## Public Attributes

wxInt32 | m_x
wxInt32 | m_y

## Constructor & Destructor Documentation

wxPoint2DInt::wxPoint2DInt | ( |  | ) |

wxPoint2DInt::wxPoint2DInt | ( | wxInt32 | x,
|  | wxInt32 | y
| ) |  |

wxPoint2DInt::wxPoint2DInt | ( | const wxPoint2DInt & | pt | ) |

wxPoint2DInt::wxPoint2DInt | ( | const wxPoint & | pt | ) |

## Member Function Documentation

wxInt32 wxPoint2DInt::GetCrossProduct | ( | const wxPoint2DInt & | vec | ) | const

wxDouble wxPoint2DInt::GetDistance | ( | const wxPoint2DInt & | pt | ) | const

wxDouble wxPoint2DInt::GetDistanceSquare | ( | const wxPoint2DInt & | pt | ) | const

wxInt32 wxPoint2DInt::GetDotProduct | ( | const wxPoint2DInt & | vec | ) | const

void wxPoint2DInt::GetFloor | ( | wxInt32 * | x,
|  | wxInt32 * | y
| ) |  | const

void wxPoint2DInt::GetRounded | ( | wxInt32 * | x,
|  | wxInt32 * | y
| ) |  | const

wxDouble wxPoint2DInt::GetVectorAngle | ( |  | ) | const

wxDouble wxPoint2DInt::GetVectorLength | ( |  | ) | const

void wxPoint2DInt::Normalize | ( |  | ) |

wxPoint2DInt::operator wxPoint | ( |  | ) | const

bool wxPoint2DInt::operator!= | ( | const wxPoint2DInt & | pt | ) | const

wxPoint2DInt& wxPoint2DInt::operator*= | ( | const wxPoint2DInt & | pt | ) |

wxPoint2DInt& wxPoint2DInt::operator*= | ( | wxDouble | n | ) |

wxPoint2DInt& wxPoint2DInt::operator*= | ( | wxInt32 | n | ) |

wxPoint2DInt& wxPoint2DInt::operator+= | ( | const wxPoint2DInt & | pt | ) |

wxPoint2DInt wxPoint2DInt::operator- | ( |  | ) |

wxPoint2DInt& wxPoint2DInt::operator-= | ( | const wxPoint2DInt & | pt | ) |

wxPoint2DInt& wxPoint2DInt::operator/= | ( | const wxPoint2DInt & | pt | ) |

wxPoint2DInt& wxPoint2DInt::operator/= | ( | wxDouble | n | ) |

wxPoint2DInt& wxPoint2DInt::operator/= | ( | wxInt32 | n | ) |

wxPoint2DInt& wxPoint2DInt::operator= | ( | const wxPoint2DInt & | pt | ) |

bool wxPoint2DInt::operator== | ( | const wxPoint2DInt & | pt | ) | const

void wxPoint2DInt::SetPolarCoordinates | ( | wxInt32 | angle,
|  | wxInt32 | length
| ) |  |

void wxPoint2DInt::SetVectorAngle | ( | wxDouble | degrees | ) |

void wxPoint2DInt::SetVectorLength | ( | wxDouble | length | ) |

## Member Data Documentation

wxInt32 wxPoint2DInt::m_x

wxInt32 wxPoint2DInt::m_y